#ifndef VMATH_H_
#define VMATH_H_

struct vec3 {
	float x, y, z;
};

struct vec3 v3_add(struct vec3 a, struct vec3 b);
struct vec3 v3_sub(struct vec3 a, struct vec3 b);
struct vec3 v3_cross(struct vec3 a, struct vec3 b);
struct vec3 v3_normalize(struct vec3 v);

struct vec3 bezier_patch(struct vec3 *cp, float u, float v);
struct vec3 bezier_patch_norm(struct vec3 *cp, float u, float v);

#endif	/* VMATH_H_ */
